echo kill
MACRO MH1HLLD
echo off
bat hlld68k.hlp,PATH

MACRO T
echo off
esave/b $$EVSAVE.TMP
b *.#*
if 0%1==0
   let @1=1
else
   let @1=0%1
endi
repeat @1
   g/w
endr
echo kill
b *.#*=off
load ,$$EVSAVE.TMP
exec del $$EVSAVE.TMP

MACRO BL
echo off
b #%1

MACRO NBL
echo off
b #%1 = off

MACRO BX
echo off
let !1[0]=!bsym
if !1=="~" 
   cput !bsym
   cput "\n"
else
   v/s !bsym
endi

MACRO DX
echo off
d/s !bsym

MACRO DS
echo off
let @1=%1
let !1=" "
while mb(@1)<>0
    let !1[0]=mb(@1)
    cput !1
    let @1=@1+1
endw
cput "\n"

MACRO DL
echo off
let @11=reg(a6)
if @11<>0
   let @@1=@11
   bat hlld68k2.cmd,PATH
   let @2=mw(@@2)
   let @1=@11
   if @2==4e56h
      let @2=mw(@@2+2)
      if @2<>0
         let @2=10000h-@2
         let @1=@1-@2
         d/l @1,@1+@2
      endi
   endi
endi

macro ONABORT
echo kill
b *.#*=off
load ,$$EVSAVE.TMP
exec del $$EVSAVE.TMP
stop

onbreak *.#*,"bx"
v/c on
